MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002107VCMIRandom Map Generatorpublic2015-02-22 02:582016-11-11 08:26
ReporterSXX 
Assigned ToWarmonger 
PrioritynormalSeveritymajorReproducibilityrandom
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.97b 
Target VersionFixed in Version0.98d 
Summary0002107: Start position for player-chosen colors may be not available: lose on startup
DescriptionIn H3 humans players able to choose any colors they like and RMG will always create starting position for them. Though it's looks like in VCMI RMG currently choose colors linearly and if there two players in game they have to be red and blue otherwise one of them will lose on startup.
Steps To Reproduce  - Create new game.
  - Choose random map settings.
  - Set your color to teal or pink.
  - Start the game and almost always you'll lose and client going to crash.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005880)
Warmonger (administrator)
2015-09-29 13:31

This shouldn't be an issue in 0.98c, is it?
(0005881)
SXX (administrator)
2015-09-29 14:40
edited on: 2015-09-29 15:09

It's not fixed. If you set number of players to "random" then all colors will be available to choose from, but game will only generate starting position for N first colors (that of course will be AI and not your choosen pink).

Currently this don't cause crash or end game event, but instead just run game with AI only while player interface won't be loaded.


- Issue History
Date Modified Username Field Change
2015-02-22 02:58 SXX New Issue
2015-09-29 13:31 Warmonger Note Added: 0005880
2015-09-29 13:31 Warmonger Status new => resolved
2015-09-29 13:31 Warmonger Fixed in Version => 0.98d
2015-09-29 13:31 Warmonger Resolution open => fixed
2015-09-29 13:31 Warmonger Assigned To => Warmonger
2015-09-29 14:40 SXX Note Added: 0005881
2015-09-29 14:40 SXX Note Edited: 0005881 View Revisions
2015-09-29 15:09 SXX Note Edited: 0005881 View Revisions
2016-11-11 08:26 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean